<?php

namespace MailBundle\Repository;

use Doctrine\ORM\EntityRepository;

/**
 * MessageRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class MessageRepository extends EntityRepository 
{
    
    public function getListeMessage($last = null)
    {
        $firstResult = ($last) ? ($last - 1 ) : 0;
        $qb = $this->createQueryBuilder('m');
        $qb->add('orderBy', 'm.id ASC')
           ->setFirstResult( $firstResult )
           ->setMaxResults( 5);

        return $qb->getQuery()->getResult();
    }

}
